com.threerings.stage.util

## Interface StageContext

All Superinterfaces:
  com.threerings.miso.util.MisoContext

All Known Subinterfaces:
  EditorContext

    public interface StageContext
    extends com.threerings.miso.util.MisoContext

A context that provides for the myriad requirements of the Stage system.

### Method Summary

All Methods Instance Methods Abstract Methods
`com.threerings.media.image.ColorPository` `getColorPository()` Returns a reference to the colorization repository.
`com.threerings.cast.ComponentRepository` `getComponentRepository()` Returns the component repository in use by this client.
`com.threerings.media.image.ImageManager` `getImageManager()` Access to the image manager.
`com.threerings.util.KeyboardManager` `getKeyboardManager()` Returns a reference to the keyboard manager.
`com.threerings.util.KeyDispatcher` `getKeyDispatcher()` Provides access to the key dispatcher.
`com.threerings.util.MessageManager` `getMessageManager()` Returns a reference to the message manager used by the client.
`com.threerings.resource.ResourceManager` `getResourceManager()` Returns the resource manager via which all client resources are loaded.
`String` `xlate(String message)` Translates the specified message using the default bundle.
`String` `xlate(String bundle, String message)` Translates the specified message using the specified bundle.

### Methods inherited from interface com.threerings.miso.util.MisoContext

`getFrameManager, getTileManager`

### Method Detail

#### getResourceManager

    com.threerings.resource.ResourceManager getResourceManager()

Returns the resource manager via which all client resources are loaded.

#### getImageManager

    com.threerings.media.image.ImageManager getImageManager()

Access to the image manager.

#### getKeyDispatcher

    com.threerings.util.KeyDispatcher getKeyDispatcher()

Provides access to the key dispatcher.

#### getMessageManager

    com.threerings.util.MessageManager getMessageManager()

Returns a reference to the message manager used by the client.

#### getKeyboardManager

    com.threerings.util.KeyboardManager getKeyboardManager()

Returns a reference to the keyboard manager.

#### getComponentRepository

    com.threerings.cast.ComponentRepository getComponentRepository()

Returns the component repository in use by this client.

#### getColorPository

    com.threerings.media.image.ColorPository getColorPository()

Returns a reference to the colorization repository.

#### xlate

    String xlate(String message)

Translates the specified message using the default bundle.

#### xlate

    String xlate(String bundle,
                 String message)

Translates the specified message using the specified bundle.